    # File lib/fog/aws.rb, line 46
        def self.serialize_keys(key, value, options = {})
          case value
          when Hash
            value.each do | k, v |
              options.merge!(serialize_keys("#{key}.#{k}", v))
            end
            return options
          when Array
            value.each_with_index do | it, idx |
              options.merge!(serialize_keys("#{key}.member.#{(idx + 1)}", it))
            end
            return options
          else
            return {key => value}
          end
        end